Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.util
Class LEDataInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.FilterInputStream
                  |
                  +--com.sun.jimi.core.util.LEDataInputStream

public class LEDataInputStream
extends java.io.FilterInputStream
implements java.io.DataInput

### LEDataInputStream - Little Endian Data Input Stream

This class implements an input stream filter to allow reading of java native datatypes from an input stream which has those native datatypes stored in a little endian byte order.

This is the sister class of the DataInputStream which allows for reading of java native datatypes from an input stream with the datatypes stored in big endian byte order.

This class implements the minimum required and calls DataInputStream for some of the required methods for DataInput.

Not all methods are implemented due to lack of immediatte requirement for that functionality. It is not clear if it is ever going to be functionally required to be able to read UTF data in a LittleEndianManner

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`LEDataInputStream(java.io.InputStream in)`

Method Summary
`void` | `close()`
`int` | `read(byte[] b)`
`int` | `read(byte[] b, int off, int len)`
`boolean` | `readBoolean()`
`byte` | `readByte()`
`char` | `readChar()`
`double` | `readDouble()`
`float` | `readFloat()`
`void` | `readFully(byte[] b)`
`void` | `readFully(byte[] b, int off, int len)`
`int` | `readInt()`
`java.lang.String` | `readLine()` dont call this it is not implemented.
`long` | `readLong()`
`short` | `readShort()`
`int` | `readUnsignedByte()`
`int` | `readUnsignedShort()`
`java.lang.String` | `readUTF()` dont call this it is not implemented
`static java.lang.String` | `readUTF(java.io.DataInput in)` dont call this it is not implemented
`int` | `skipBytes(int n)`

Methods inherited from class java.io.FilterInputStream
`available, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LEDataInputStream

    public LEDataInputStream(java.io.InputStream in)

Method Detail

### close

    public void close()
               throws java.io.IOException

  Overrides:
    close in class java.io.FilterInputStream

### read

    public final int read(byte[] b)
                   throws java.io.IOException

  Overrides:
    read in class java.io.FilterInputStream

### read

    public final int read(byte[] b,
                          int off,
                          int len)
                   throws java.io.IOException

  Overrides:
    read in class java.io.FilterInputStream

### readFully

    public final void readFully(byte[] b)
                         throws java.io.IOException

  Specified by:
    readFully in interface java.io.DataInput

### readFully

    public final void readFully(byte[] b,
                                int off,
                                int len)
                         throws java.io.IOException

  Specified by:
    readFully in interface java.io.DataInput

### skipBytes

    public final int skipBytes(int n)
                        throws java.io.IOException

  Specified by:
    skipBytes in interface java.io.DataInput

### readBoolean

    public final boolean readBoolean()
                              throws java.io.IOException

  Specified by:
    readBoolean in interface java.io.DataInput

### readByte

    public final byte readByte()
                        throws java.io.IOException

  Specified by:
    readByte in interface java.io.DataInput

### readUnsignedByte

    public final int readUnsignedByte()
                               throws java.io.IOException

  Specified by:
    readUnsignedByte in interface java.io.DataInput

### readShort

    public final short readShort()
                          throws java.io.IOException

  Specified by:
    readShort in interface java.io.DataInput

### readUnsignedShort

    public final int readUnsignedShort()
                                throws java.io.IOException

  Specified by:
    readUnsignedShort in interface java.io.DataInput

### readChar

    public final char readChar()
                        throws java.io.IOException

  Specified by:
    readChar in interface java.io.DataInput

### readInt

    public final int readInt()
                      throws java.io.IOException

  Specified by:
    readInt in interface java.io.DataInput

### readLong

    public final long readLong()
                        throws java.io.IOException

  Specified by:
    readLong in interface java.io.DataInput

### readFloat

    public final float readFloat()
                          throws java.io.IOException

  Specified by:
    readFloat in interface java.io.DataInput

### readDouble

    public final double readDouble()
                            throws java.io.IOException

  Specified by:
    readDouble in interface java.io.DataInput

### readLine

    public final java.lang.String readLine()
                                    throws java.io.IOException

  dont call this it is not implemented.
  Specified by:
    readLine in interface java.io.DataInput
  Returns:
    empty new string

### readUTF

    public final java.lang.String readUTF()
                                   throws java.io.IOException

  dont call this it is not implemented
  Specified by:
    readUTF in interface java.io.DataInput
  Returns:
    empty new string

### readUTF

    public static final java.lang.String readUTF(java.io.DataInput in)
                                          throws java.io.IOException

  dont call this it is not implemented
  Returns:
    empty new string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD